package com.dayou.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.dayou.dto.DocumentDTO;
import com.dayou.entity.Cycle;
import com.dayou.entity.Document;
import com.dayou.vo.DocumentCycleVO;
import com.dayou.vo.DocumentVO;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/7/13
 * created with IntelliJ IDEA.
 */
public interface IDocumentService extends IService<Document> {
    DocumentCycleVO getDocumentCycleVO();

    IPage<DocumentVO> getPage(Page page, Document document);

    Cycle nextCycle(Long documentId);
}
