package com.dayou.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dayou.dto.CommitDTO;
import com.dayou.entity.Cycle;
import com.dayou.entity.ProfessorResult;
import com.dayou.vo.AnalysisResultVO;
import com.dayou.vo.DocumentCycleVO;
import com.dayou.vo.OriginScoreVO;
import com.dayou.vo.ProfessorResultVO;

import java.math.BigDecimal;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/7/13
 * created with IntelliJ IDEA.
 */
public interface IProfessorResultService extends IService<ProfessorResult> {
    Boolean commitDocument(DocumentCycleVO documentCycleVO);

    List<OriginScoreVO> getResultList(Cycle cycle);


    List<ProfessorResultVO> getResultByCycleId(Long id);

    boolean removeScore(Long id);

    List<ProfessorResult> getCurrentOriginScore();

    Map<Long, BigDecimal> getCurrentAvgScore();
}
