package com.dayou.vo;

import com.dayou.utils.Tree;
import lombok.Data;
import org.checkerframework.checker.units.qual.K;

import java.math.BigDecimal;
import java.util.List;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/7/19
 * created with IntelliJ IDEA.
 */
@Data
public class AnalysisResultVO implements Tree<Long,String>  {

    private Long documentId;

    private Long cycleId;

    private String itemName;

    private String scope;

    private String cycleNum;

    private Long questionId;

    private String questionName;

    private BigDecimal avgScore;

    private BigDecimal variance;

    private BigDecimal validate;

    private List<AnalysisResultVO> children;

    private Long id;

    private Long parentId;

    private Long typeId;

    private String typeName;

    private Integer professorNum;

    private BigDecimal standardValue;

    private BigDecimal probability;

    @Override
    public Long getId() {
        return id;
    }

    @Override
    public String getName() {
        return questionName;
    }

    @Override
    public Long getParentId() {
        return parentId;
    }

    @Override
    public int order() {
        return 0;
    }

    @Override
    public void setChildren(List<? extends Tree<Long, String>> children) {
        this.children =(List<AnalysisResultVO>) children;
    }
}
