package com.dayou.dto;

import com.github.liangbaika.validate.annations.AbcValidate;
import com.github.liangbaika.validate.enums.Check;
import lombok.Data;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/7/12
 * created with IntelliJ IDEA.
 */
@Data
public class UserDTO {

    @AbcValidate(required = true,message = "用户账号不能为空",fun = Check.NotEmpty)
    private String account;

    @AbcValidate(required = true,message = "用户密码不能为空",fun = Check.NotEmpty)
    private String password;
}
