package com.dayou.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.dayou.configuration.BaseEntity;
import lombok.Builder;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/7/13
 * created with IntelliJ IDEA.
 */
@Data
public class ProfessorResult extends BaseEntity {

    private String professorNo;
    private Long cycleId;
    private Long questionId;
    private BigDecimal score;

    @TableField(exist = false)
    private Integer cycleNum;

    @TableField(exist = false)
    private Long documentId;
}
